io.vertx.rxjava.sqlclient

## Class RowSet

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlResult<RowSet>
  - - io.vertx.rxjava.sqlclient.RowSet

- All Implemented Interfaces:
    Iterable<Row>

      public class RowSet
      extends SqlResult<RowSet>
      implements Iterable<Row>

  A set of rows.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RowSet>` | `__TYPE_ARG`

    - ### Fields inherited from class io.vertx.rxjava.sqlclient.SqlResult

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowSet(io.vertx.sqlclient.RowSet delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `io.vertx.sqlclient.RowSet` | `getDelegate()`
    `int` | `hashCode()`
    `RowIterator` | `iterator()`
    `static RowSet` | `newInstance(io.vertx.sqlclient.RowSet arg)`
    `RowSet` | `next()` Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
    `String` | `toString()`
    `RowSet` | `value()` Get the result value.

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlResult

      `columnsNames, newInstance, newInstance, property, rowCount, size`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RowSet> __TYPE_ARG

  - ### Constructor Detail

    - #### RowSet

          public RowSet(io.vertx.sqlclient.RowSet delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlResult<RowSet>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SqlResult<RowSet>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlResult<RowSet>`

    - #### getDelegate

          public io.vertx.sqlclient.RowSet getDelegate()

      Overrides:
        `getDelegate` in class `SqlResult<RowSet>`

    - #### value

          public RowSet value()

      Get the result value.
      Overrides:
        `value` in class `SqlResult<RowSet>`
      Returns:
        the result

    - #### iterator

          public RowIterator iterator()

      Specified by:
        `iterator` in interface `Iterable<Row>`

    - #### next

          public RowSet next()

      Description copied from class: `SqlResult`
      Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
      Overrides:
        `next` in class `SqlResult<RowSet>`
      Returns:
        the next available result or `null` if none is available

    - #### newInstance

          public static RowSet newInstance(io.vertx.sqlclient.RowSet arg)

Copyright © 2019 Eclipse. All rights reserved.